# Billing Documents

Billing documents include invoices, credit memos, and debit memos.
**Note**: Credit memos and debit memos are only available if you have the Invoice Settlement feature enabled.

 - [GET /v1/billing-documents](https://developer.zuora.com/v1-api-reference/api/billing-documents/get_billingdocuments.md): Retrieves the information about all billing documents associated with a specified account. The billing documents contain invoices, credit memos, and debit memos. To retrieve information about credit m
 - [POST /v1/accounts/billing-documents/files/deletion-jobs](https://developer.zuora.com/v1-api-reference/api/billing-documents/post_billingdocumentfilesdeletionjob.md): Creates an asynchronous job to permanently delete all billing document PDF files for specific accounts. After the deletion job is completed, all billing document PDF files are permanently deleted. To
 - [GET /v1/accounts/billing-documents/files/deletion-jobs/{jobId}](https://developer.zuora.com/v1-api-reference/api/billing-documents/get_billingdocumentfilesdeletionjob.md): Retrieves information about an asynchronous job of permanently deleting all billing document PDF files for specific accounts. **Note**: This operation can be used only if you have the Billing user per
 - [POST /v1/accounts/{key}/billing-documents/generate](https://developer.zuora.com/v1-api-reference/api/billing-documents/post_generatebillingdocuments.md): Generates draft or posted billing documents for a specified account. You can also generate billing documents for specified subscriptions of a specified account. The billing documents contain invoices
